> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get relationship

> Get a relationship by UUID



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /storage/relationships/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /storage/relationships/{uuid}:
    get:
      tags:
        - Storage - Relationships
      summary: Get relationship
      description: Get a relationship by UUID
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Relationship identifier.
          required: true
          description: Relationship identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  relationship:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      fromDatasetUuid:
                        type: string
                      fromModelUuid:
                        type: string
                      fromColumnSlug:
                        type: string
                      fromPropertySlug:
                        anyOf:
                          - type: string
                          - type: 'null'
                      toDatasetUuid:
                        type: string
                      toModelUuid:
                        type: string
                      toColumnSlug:
                        type: string
                      toPropertySlug:
                        anyOf:
                          - type: string
                          - type: 'null'
                      fromSelectedColumnSlugs:
                        anyOf:
                          - type: array
                            items:
                              type: string
                          - type: 'null'
                      toSelectedColumnSlugs:
                        anyOf:
                          - type: array
                            items:
                              type: string
                          - type: 'null'
                      relation:
                        type: string
                        enum:
                          - oneToMany
                          - oneToOne
                          - manyToOne
                    required:
                      - uuid
                      - workspaceUuid
                      - fromDatasetUuid
                      - fromModelUuid
                      - fromColumnSlug
                      - fromPropertySlug
                      - toDatasetUuid
                      - toModelUuid
                      - toColumnSlug
                      - toPropertySlug
                      - fromSelectedColumnSlugs
                      - toSelectedColumnSlugs
                      - relation
                    additionalProperties: false
                    title: Relationship
                    description: Relationship details.
                required:
                  - relationship
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````